Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## javax.jcr
Class SimpleCredentials

`java.lang.Object
javax.jcr.SimpleCredentials`

All Implemented Interfaces:
  java.io.Serializable, Credentials

      public final class SimpleCredentials

extends java.lang.Object
implements Credentials

`SimpleCredentials` implements the `Credentials` interface and represents simple user ID/password credentials.

See Also:
  Serialized Form

Constructor Summary
`SimpleCredentials(java.lang.String userID, char[] password)` Create a new `SimpleCredentials` object, given a user ID and password.

Method Summary
`java.lang.Object` `getAttribute(java.lang.String name)` Returns the value of the named attribute as an `Object`, or `null` if no attribute of the given name exists.
`java.lang.String[]` `getAttributeNames()` Returns the names of the attributes available to this credentials instance.
`char[]` `getPassword()` Returns the user password.
`java.lang.String` `getUserID()` Returns the user ID.
`void` `removeAttribute(java.lang.String name)` Removes an attribute from this credentials instance.
`void` `setAttribute(java.lang.String name, java.lang.Object value)` Stores an attribute in this credentials instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleCredentials

    public SimpleCredentials(java.lang.String userID,
                             char[] password)

  Create a new `SimpleCredentials` object, given a user ID and password. <p/> Note that the given password is cloned before it is stored in the new `SimpleCredentials` object. This should avoid the risk of having unnecessary references to password data lying around in memory. <p/>
  Parameters:
    `userID` - the user ID
    `password` - the user's password

Method Detail

### getPassword

    public char[] getPassword()

  Returns the user password. <p/> Note that this method returns a reference to the password. It is the caller's responsibility to zero out the password information after it is no longer needed.
  Returns:
    the password

### getUserID

    public java.lang.String getUserID()

  Returns the user ID.
  Returns:
    the user ID.

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object value)

  Stores an attribute in this credentials instance.
  Parameters:
    `name` - a `String` specifying the name of the attribute
    `value` - the `Object` to be stored

### getAttribute

    public java.lang.Object getAttribute(java.lang.String name)

  Returns the value of the named attribute as an `Object`, or `null` if no attribute of the given name exists.
  Parameters:
    `name` - a `String` specifying the name of the attribute
  Returns:
    an `Object` containing the value of the attribute, or `null` if the attribute does not exist

### removeAttribute

    public void removeAttribute(java.lang.String name)

  Removes an attribute from this credentials instance.
  Parameters:
    `name` - a `String` specifying the name of the attribute to remove

### getAttributeNames

    public java.lang.String[] getAttributeNames()

  Returns the names of the attributes available to this credentials instance. This method returns an empty array if the credentials instance has no attributes available to it.
  Returns:
    a string array containing the names of the stored attributes

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2004-2005 Day Software Management AG. All Rights Reserved.